package org.springblade.estate.feign;

import org.springblade.estate.entity.EnergyStatistics;
import org.springblade.estate.vo.EnergyStatisticsVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class EnergyStatisticsClientFallback implements IEnergyStatisticsClient {
            /**
         * 详情
         */
        @Override
        public EnergyStatisticsVO detail(EnergyStatistics energyStatistics) {
            return null;
        }

        /**
         * 查询 
         */
        @Override
        public List<EnergyStatisticsVO> list(EnergyStatistics energyStatistics) {
            return null;
        }

    

        /**
         * 新增 
         */
        @Override
        public boolean save( EnergyStatistics energyStatistics) {
            return false;
        }

        /**
         * 修改 
         */
        @Override
        public boolean update( EnergyStatistics energyStatistics) {
            return false;
        }

        /**
         * 新增或修改 
         */
        @Override
        public boolean submit( EnergyStatistics energyStatistics) {
            return false;
        }

    
        /**
         * 删除 
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
